# eric6.E5Gui.E5LineEditButton

Module implementing a button class to be used with E5LineEdit.

### Global Attributes

None

### Classes

E5LineEditButton | Class implementing a button to be used with E5LineEdit.

### Functions

None

## E5LineEditButton

Class implementing a button to be used with E5LineEdit.

### Derived from

QAbstractButton

### Class Attributes

None

### Class Methods

None

### Methods

E5LineEditButton | Constructor
__clicked | Private slot to handle a button click.
menu | Public method to get a reference to the menu.
paintEvent | Protected method handling a paint event.
setIcon | Public method to set the button icon.
setMenu | Public method to set the button menu.

### Static Methods

None

#### E5LineEditButton (Constructor)

E5LineEditButton(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### E5LineEditButton.__clicked

__clicked()

Private slot to handle a button click.

#### E5LineEditButton.menu

menu()

Public method to get a reference to the menu.

Returns:
  reference to the associated menu (QMenu)

#### E5LineEditButton.paintEvent

paintEvent(evt)

Protected method handling a paint event.

evt
  reference to the paint event (QPaintEvent)

#### E5LineEditButton.setIcon

setIcon(icon)

Public method to set the button icon.

icon
  icon to be set (QIcon)

#### E5LineEditButton.setMenu

setMenu(menu)

Public method to set the button menu.

menu
  reference to the menu (QMenu)

Up